# H501_UsageSpecification Class Reference

`#include <h501.h>`

Inheritance diagram for H501_UsageSpecification:

List of all members.

## Public Types

enum | OptionalFields { e_sendToPEAddress }

## Public Member Functions

| H501_UsageSpecification (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H501_ElementIdentifier | m_sendTo
H501_UsageSpecification_when | m_when
H501_ArrayOf_PASN_ObjectId | m_required
H501_ArrayOf_PASN_ObjectId | m_preferred
H225_AliasAddress | m_sendToPEAddress

## Member Enumeration Documentation

enum H501_UsageSpecification::OptionalFields

Enumerator:

  e_sendToPEAddress |

## Constructor & Destructor Documentation

H501_UsageSpecification::H501_UsageSpecification | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H501_UsageSpecification::GetDataLength | ( |  | ) | const

PBoolean H501_UsageSpecification::Decode | ( | PASN_Stream & | strm | ) |

void H501_UsageSpecification::Encode | ( | PASN_Stream & | strm | ) | const

void H501_UsageSpecification::PrintOn | ( | ostream & | strm | ) | const

Comparison H501_UsageSpecification::Compare | ( | const PObject & | obj | ) | const

PObject* H501_UsageSpecification::Clone | ( |  | ) | const

## Member Data Documentation

H501_ElementIdentifier H501_UsageSpecification::m_sendTo

H501_UsageSpecification_when H501_UsageSpecification::m_when

H501_ArrayOf_PASN_ObjectId H501_UsageSpecification::m_required

H501_ArrayOf_PASN_ObjectId H501_UsageSpecification::m_preferred

H225_AliasAddress H501_UsageSpecification::m_sendToPEAddress

The documentation for this class was generated from the following file:

- h501.h